# Class AbstractMobileController

Mobile application abstract controller.

This file includes `import`'s mobile components/directives used by the HTML page and the controller to provide the configuration.

#### Hierarchy

- unknown
  - AbstractMobileController

- Defined in src/controllers/AbstractMobileController.js:40

#####
Index

### Constructors

constructor

### Properties

displaywindowHeight
displaywindowWidth
leftNavVisible
manageResize
measureAreaActive
measureLengthActive
measurePointActive
redirectUrl
resizeTransition
rightNavVisible
searchListeners
searchOverlayVisible

### Methods

hideNav
navIsVisible
openNavMenu
toggleLeftNavVisibility
toggleRightNavVisibility

## Constructors

### constructor

- new AbstractMobileController($scope: IScope, $injector: IInjectorService): AbstractMobileController

- ### Ng Inject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractMobileController

  Overrides AbstractAppController.constructor

  - Defined in src/controllers/AbstractMobileController.js:46

## Properties

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractMobileController.js:88

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractMobileController.js:93

### leftNavVisible

leftNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:52
- Defined in src/controllers/AbstractMobileController.js:145
- Defined in src/controllers/AbstractMobileController.js:158

### manageResize

manageResize: boolean

- Defined in src/controllers/AbstractMobileController.js:123

### measureAreaActive

measureAreaActive: boolean

The active state of the directive responsible of area measurements.

- Defined in src/controllers/AbstractMobileController.js:69

### measureLengthActive

measureLengthActive: boolean

The active state of the directive responsible of length measurements.

- Defined in src/controllers/AbstractMobileController.js:83

### measurePointActive

measurePointActive: boolean

The active state of the directive responsible of point measurements.

- Defined in src/controllers/AbstractMobileController.js:76

### redirectUrl

redirectUrl: any

### Constant

- Defined in src/controllers/AbstractMobileController.js:139

### resizeTransition

resizeTransition: number

- Defined in src/controllers/AbstractMobileController.js:124

### rightNavVisible

rightNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:57
- Defined in src/controllers/AbstractMobileController.js:131
- Defined in src/controllers/AbstractMobileController.js:151
- Defined in src/controllers/AbstractMobileController.js:159

### searchListeners

searchListeners: SearchDirectiveListeners<never>

- Defined in src/controllers/AbstractMobileController.js:114

### searchOverlayVisible

searchOverlayVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:62
- Defined in src/controllers/AbstractMobileController.js:116
- Defined in src/controllers/AbstractMobileController.js:119

## Methods

### hideNav

- hideNav(): void

- Hide both navigation menus.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:157

### navIsVisible

- navIsVisible(): boolean

- ### Returns

  Return true if one of the navigation menus is visible, otherwise false.

  #### Returns boolean

  - Defined in src/controllers/AbstractMobileController.js:166

### openNavMenu

- openNavMenu(target: string): void

- Open the menu with corresponding to the data-target attribute value.

  #### Parameters

  - ##### target: string

    the data-target value.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:175

### toggleLeftNavVisibility

- toggleLeftNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:144

### toggleRightNavVisibility

- toggleRightNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:150

Generated using TypeDoc